<?php
defined('TYPO3_MODE') or die();

// Register icons
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

$iconRegistry->registerIcon(
			    'xImage-icon',
			    \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icon/xImage.svg']
			    );

$iconRegistry->registerIcon(
			    'xGallery-icon',
			    \TYPO3\CMS\Core\Imaging\IconProvider\BitmapIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icon/xGallery.svg']
			    );
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-2-spalten',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/2-cols.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-3-spalten',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/3-cols.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-4-spalten',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/4-cols.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-5-spalten',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/5-cols.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-x-spalten',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/x-cols.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-ig-galerie',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/ig-galerie.svg']
);
$iconRegistry->registerIcon(
			    'ig_gridelements-grid-flow',
			    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
			    ['source' => 'EXT:ig_gridelements/Resources/Public/Icons/gridelements/flow.svg']
);


	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:ig_gridelements/Configuration/TypoScript/PageConfig/baseElements.tsconfig">' );
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig( '<INCLUDE_TYPOSCRIPT: source="FILE:EXT:ig_gridelements/Configuration/TypoScript/PageConfig/flow.tsconfig">' );
